Debian Bug report logs - #462361
idea: allow package combinations as alternatives, e.g. a | b + c

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Fabian Greffrath <greffrath@leat.rub.de>

Date: Thu, 24 Jan 2008 09:09:01 UTC

Severity: wishlist

Tags: wontfix

Merged with 484293

Found in version dpkg/1.14.18

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462361; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <greffrath@leat.rub.de>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <greffrath@leat.rub.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>, debian-devel@lists.debian.org
Subject: idea: allow package combinations as alternatives, e.g. a | b + c
Date: Thu, 24 Jan 2008 10:05:26 +0100
Package: dpkg
Severity: wishlist

Hello,

I'd like to share an idea with you that arose in my head when I tried to 
install the gnome meta-package. I allready had gnome-desktop-environment 
and (many packages of ) openoffice.org installed. The gnome package 
wanted to pull in gnome-office, but I thought "I allready have an office 
suite that is well integrated with gnome: OO.o". My first idea was to 
file a bug against the gnome meta-package to use an alternative 
dependency and depend on 'gnome-office | openoffice.org'. Then I 
remembered that openoffice.org alone will not integrate well with GNOME, 
i.e. use another icon set, file dialog, etc. You will have to install 
the openoffice.org-gnome package to get the GNOME integration. But then, 
depending on openoffice.org-gnome will still not solve the problem, 
since this packages does only provide the libraries required for GNOME 
integration. It does not depend on the openoffice.org package itself, 
rightly, so you would still end up without an office suite.

Now my idea is, that only both packages together, i.e. openoffice.org 
*and* openoffice.org-gnome, will make a good substitute for 
gnome-office. The Debian package management is currently not able to 
deal with this situation properly. It would be great if the gnome 
package could depend on 'gnome-office | openoffice.org + 
openoffice.org-gnome'. So the dependency will be satisfied if you 
install etiher gnome-office or both openoffice.org *and* 
openoffice.org-gnome.

Of course this example is focussed on gnome-office and OO.o, but I 
believe you will find many more practical examples the longer you think 
about it.

I'd like to know your opinion. Do you think this concept is worth 
considering for inclusion in Debian?

Cheers,
Fabian

PS: As another example, imagine you need to depend on a postscript 
viewer. There are packages that can view postscript only if the 
ghostscript package is installed (e.g. xv; not in Debian, I know). So 
your dependency could read 'ghostview | xv + ghostscript'. This way you 
will not be forced to install ghostview if you allready have both xv and 
ghostscript installed.

Yes, I know there's a meta-package for this situation so you might 
simply depend on 'ghostview | postscript-viewer'. I hope I made my point 
nevertheless. ;)

-- 
Dipl.-Phys. Fabian Greffrath

Ruhr-Universität Bochum
Lehrstuhl für Energieanlagen und Energieprozesstechnik (LEAT)
Universitätsstr. 150, IB 3/134
D-44780 Bochum

Telefon: +49 (0)234 / 32-26334
Fax:     +49 (0)234 / 32-14227
E-Mail:  greffrath@leat.ruhr-uni-bochum.de





Merged 462361 484293. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Tue, 03 Jun 2008 14:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462361; Package dpkg. (Fri, 21 May 2010 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Fri, 21 May 2010 15:00:03 GMT) Full text and rfc822 format available.

Message #12 received at 462361@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Fabian Greffrath <greffrath@leat.rub.de>, 462361@bugs.debian.org
Subject: Re: Bug#462361: idea: allow package combinations as alternatives, e.g. a | b + c
Date: Fri, 21 May 2010 16:56:45 +0200
tag 462361 + wontfix
thanks

On Thu, 24 Jan 2008, Fabian Greffrath wrote:
> substitute for gnome-office. The Debian package management is
> currently not able to deal with this situation properly. It would be
> great if the gnome package could depend on 'gnome-office |
> openoffice.org + openoffice.org-gnome'. So the dependency will be
> satisfied if you install etiher gnome-office or both openoffice.org
> *and* openoffice.org-gnome.

Depends: gnome-office | openoffice.org, gnome-office | openoffice.org-gnome

is what you're looking for.

It only gets impossible when you have sets of packages on both sides
of the alternative. But those cases can be worked around with
intermediary meta-packages if really needed.

Such a syntax change would require lots of changes in many places, I
really think it's not worth the effort currently.

Thus I'm tagging this bug wontfix.

Cheers,
-- 
Raphaël Hertzog

Like what I do? Sponsor me: http://ouaza.com/wp/2010/01/05/5-years-of-freexian/
My Debian goals: http://ouaza.com/wp/2010/01/09/debian-related-goals-for-2010/




Added tag(s) wontfix. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 21 May 2010 15:00:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462361; Package dpkg. (Tue, 25 May 2010 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Tue, 25 May 2010 07:06:03 GMT) Full text and rfc822 format available.

Message #19 received at 462361@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 462361@bugs.debian.org
Subject: Re: Bug#462361: idea: allow package combinations as alternatives, e.g. a | b + c
Date: Tue, 25 May 2010 09:04:14 +0200
Am 21.05.2010 16:56, schrieb Raphael Hertzog:
> Such a syntax change would require lots of changes in many places, I
> really think it's not worth the effort currently.

Yes, most probably you are right.

Thanks for your response anyway!

Cheers,
Fabian





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:47:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.